ARG BASE_IMAGE=registry.iluvatar.com.cn:10443/customer/sz/vllm0.17.0-4.4.0-x86:v4.1
FROM ${BASE_IMAGE}

WORKDIR /home

RUN rm -rf /usr/local/lib/python3.12/dist-packages/vllm \
           /usr/local/lib/python3.12/dist-packages/vllm-*.dist-info

COPY vllm /usr/local/lib/python3.12/dist-packages/vllm
COPY vllm-0.17.0+corex.20260420090923.dist-info /usr/local/lib/python3.12/dist-packages/vllm-0.17.0+corex.20260420090923.dist-info

ENTRYPOINT ["/bin/bash"]
